org.apache.felix.ipojo.manipulator.visitor

## Class ManipulationAdapter

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.visitor.ManipulationAdapter

All Implemented Interfaces:
  ManipulationVisitor

Direct Known Subclasses:
  CheckFieldConsistencyVisitor

    public class ManipulationAdapter
    extends Object
    implements ManipulationVisitor

Empty ManipulationVisitor visitor. It is useful to extends this class to keep a working visitor chain.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`ManipulationAdapter(ManipulationVisitor delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `visitEnd()` Called when all metadata have been processed.
`ManipulationResultVisitor` `visitManipulationResult(org.apache.felix.ipojo.metadata.Element metadata)` Accept a manipulation result for the given component metadata.
`void` `visitMetadata(org.apache.felix.ipojo.metadata.Element metadata)` Visit metadata not associated with a component (ie no bytecode manipulation needed).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ManipulationAdapter

    public ManipulationAdapter(ManipulationVisitor delegate)

### Method Detail

#### visitManipulationResult

    public ManipulationResultVisitor visitManipulationResult(org.apache.felix.ipojo.metadata.Element metadata)

Description copied from interface: `ManipulationVisitor`
Accept a manipulation result for the given component metadata.

Specified by:
  `visitManipulationResult` in interface `ManipulationVisitor`
Parameters:
  `metadata` - component's metadata (from XML or annotations)
Returns:
  a ManipulationResultVisitor if interested in theses manipulation results

#### visitMetadata

    public void visitMetadata(org.apache.felix.ipojo.metadata.Element metadata)

Description copied from interface: `ManipulationVisitor`
Visit metadata not associated with a component (ie no bytecode manipulation needed).

Specified by:
  `visitMetadata` in interface `ManipulationVisitor`
Parameters:
  `metadata` - usually `instance`/`composite` metadata

#### visitEnd

    public void visitEnd()

Description copied from interface: `ManipulationVisitor`
Called when all metadata have been processed.

Specified by:
  `visitEnd` in interface `ManipulationVisitor`